Subject: Re: [PERFORM] Help speeding up delete

From: "Magnus Hagander" <[email-masked]>
Date: Thu, 17 Nov 2005 10:19:28 +0100

> > Perhaps we should put a link on the home page underneath LATEST 
> > RELEASEs saying
> > 	7.2: de-supported
> > 
> > with a link to a scary note along the lines of the above.
> > 
> > ISTM that there are still too many people on older releases.
> > 
> > We probably need an explanation of why we support so many 
> releases (in 
> > comparison to licenced software) and a note that this does 
> not imply 
> > the latest releases are not yet production (in comparison 
> to MySQL or 
> > Sybase who have been in beta for a very long time).
> 
> By the way, is anyone interested in creating some sort of 
> online repository on pgsql.org or pgfoundry where we can keep 
> statically compiled pg_dump/all for several platforms for 8.1?
> 
> That way if someone wanted to upgrade from 7.2 to 8.1, they 
> can just grab the latest dumper from the website, dump their 
> old database, then upgrade easily.

But if they're upgrading to 8.1, don't they already have the new
pg_dump? How else are they going to dump their *new* database?

> In my experience not many pgsql admins have test servers or 
> the skills to build up test machines with the latest pg_dump, 

I don't, but I still dump with the latest version - works fine both on
linux and windows for me... 

> etc.  (Seriously.) In fact, few realise at all that they 
> should use the 8.1 dumper.

That most people don't know they should use the new one I understand
though. But I don't see how this will help against that :-)

//Magnus

---

From: Christopher Kings-Lynne <[email-masked]>
Date: Thu, 17 Nov 2005 23:05:10 +0800

> pg_dump? How else are they going to dump their *new* database?

Erm.  Usually when you install the new package/port for 8.1, you cannot 
have both new and old installed at the same time man.  Remember they 
both store exactly the same binary files in exactly the same place.

> linux and windows for me... 

So you're saying you DO have the skills to do it then...

> though. But I don't see how this will help against that :-)

It'll make it easy...

Chris

---

From: Steve Wampler <[email-masked]>
Date: Thu, 17 Nov 2005 08:13:30 -0700

>> though. But I don't see how this will help against that :-)

As the miscreant that caused this thread to get started, let me
*wholeheartedly* agree with Chris.  An easy way to get the pg_dump
for the upgrade target to run with the upgradable source
would work wonders.  (Instructions included, of course.)

-- 
Steve Wampler -- [email-masked]
The gods that smiled on your birth are now laughing out loud.